Subject: Re: [rbridge] Request for review ofdraft-ietf-trill-rbridge-mib-01.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 3 Jan 2011 17:09:55 +0100

I did not have time for a full review, but here are my comments from a first quick examination of the document

1. The relationship with other MIB module sections refer to the IETF RFCs. However, since 2006 the development of the Bridge MIB modules and their successors were transferred to IEEE 802.1. I suggest to define the relationship sections in relation to the IEEE MIB modules defined in IEEE 802.1ap

2. Some of the objects with read-create MAX-ACCESS need DEFAULT clauses. In some cases the default is mention in the DESCRIPTION clause - this is not sufficient

3. MIB structure - better group all MIB groups that define objects under one sub-tree 

rbridgeObjects           OBJECT IDENTIFIER ::= { rbridgeMIB 1 } 

4. The current level of detail in the Security Considerations section is not sufficient. 

5. running libsmi compilation leads to a number of errors and warnings that need to be fixed. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Donald Eastlake
> Sent: Tuesday, December 28, 2010 5:26 AM
> To: Developing a hybrid router/bridge.
> Subject: Re: [rbridge] Request for review 
> ofdraft-ietf-trill-rbridge-mib-01.txt
> 
> Hi,
> 
> It would be helpful if people would review the MIB document. 
> Here is a comment of mine:
> 
> I think that Sz, the campus wide minimum MTU that an RBridge 
> has calculated, should be a read-only per-RBridge MIB object 
> and that it should be possible for a change in Sz to cause a 
> notification.
> 
> Thanks,
> Donald
> 
> On Wed, Dec 15, 2010 at 11:29 AM, Erik Nordmark 
> <[email-masked]> wrote:
> >
> > In Beijing there were not that many that had read the MIB document.
> > Bill Fenner volunteered to read it and send comments, but 
> it would be 
> > good to get some other reviewers.
> >
> > Any additional volunteers?
> >
> > Particular things to look at is whether there are other traps that 
> > would be useful for an operator.
> >
> >   Erik
> >
> >
> >
> 
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
> 

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge